import { BodyConverter } from "../../client/api/converter/body/body-converter";
export declare abstract class EnumConverter<T> implements BodyConverter<T> {
    mapping: T;
    constructor(mapping: T);
    decode(value: Uint8Array): T;
    encode(value: T): Uint8Array;
    abstract decodeToLiteral(value: Uint8Array): number;
    abstract encodeToLiteral(value: number): Uint8Array;
}
export declare class FixedSizeEnumConverter<T> extends EnumConverter<T> {
    mapping: T;
    size: number;
    constructor(mapping: T, size?: number);
    decodeToLiteral(value: Uint8Array): number;
    encodeToLiteral(value: number): Uint8Array;
}
export declare class EnumListConverter<T> implements BodyConverter<Array<T>> {
    size: number;
    mapping: T;
    constructor(size: number, mapping: T);
    decode(value: Uint8Array): Array<T>;
    encode(values: T[]): Uint8Array;
    private decodeToLiteral;
}
